Bug 5527 - ata_piix не поднимается Master 2.4
: ata_piix не поднимается Master 2.4
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/drakxtools)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-18 16:11 by
Modified: 2008-02-15 18:43 (History)


Attachments
lspci-v (3.77 KB, text/plain)
2004-11-18 16:11, Oleg B. Vlasenko
no flags Details
lspcidrake-v (1.53 KB, text/plain)
2004-11-18 16:11, Oleg B. Vlasenko
no flags Details
modules (289 bytes, text/plain)
2004-11-18 16:12, Oleg B. Vlasenko
no flags Details
modules.conf (433 bytes, text/plain)
2004-11-18 16:12, Oleg B. Vlasenko
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-18 16:11:17
Железо - в приложении.
Все дисковые устройства - ATA (параллельный интерфейс), на SATA пусто.

Инсталляция по умолчанию.
Появляется текстовая панелька с надписью
"Loading SCSI..."

Потом очень быстро новая плашка со следующим содержанием:
Error
Warning, instalation of driver failed
(нажмите Alt+F3 чтобы поглядеть трампампам)
По Alt+F3 вижу это:
...
PCI: device 8086 24d1 is "Intel Comp.|82801EB ICH5 IDE (SATA)" (ata_piix)
have to insmod ata_piix
needs libata
needs ata_piix
unresolved symbol ata_bus_reset_R8a24ce92
unresolved symbol ata_eng_timeout_Re5dcfd8c
unresolved symbol ata_pci_remove_one_R169736eb
unresolved symbol ata_port_start_R91bcbf5a
unresolved symbol ata_bdma_start_pio_R0ee60532
unresolved symbol ata_port_disable_R29fb8f42
unresolved symbol ata_exec_command_pio_Rc20bbe26
unresolved symbol ata_port_stop_R27e4df7e
unresolved symbol ata_interrupt_R3002830e
unresolved symbol ata_pci_init_one_R3c8838c3
unresolved symbol ata_tf_read_pio_R9b6d52dc
unresolved symbol ata_check_status_pio_R70b42f0b
unresolved symbol ata_port_probe_Rdcc0004e
unresolved symbol ata_ff_load_pio_Red98dd52
unresolved symbol ata_scsi_release_R2ce5fa22
unresolved symbol ata_scsi-error_Rd066812d
unresolved symbol pci_test_config_bits_R289cad65
unresolved symbol ata_fill_sq_R711c72eb
unresolved symbol ata_scsi_queuecnd_Re0ce1c9a
unresolved symbol ata_std_bios_param_R8021f007
unresolved symbol ata_scsi_detect_Rba671f20
failed
warning, insmod failed (ata_piix (null)(1))
unsetting automatic

Посколкьу на SATA никаких жизненноважных девайсов нет - инсталляция продолжается
нормально. Но боюсь, что кабы у меня винт сидел на SATA, то инстальнуться не
удалось бы.


Самое интересное то, что после инсталляции и ребута, при первой же загрузке
системы, модуль ata_piix нормально поднимается:

dmesg:
...
ata_piix version 1.02
PCI: Setting latency timer of device 00:1f.2 to 64
ata1: SATA max UDMA/133 cmd 0x14F8 ctl 0x1812 bmdma 0x14D0 irq 18
ata2: SATA max UDMA/133 cmd 0x1800 ctl 0x1816 bmdma 0x14D8 irq 18
ata1: SATA port has no device.
ata2: SATA port has no device.
scsi0 : ata_piix
scsi1 : ata_piix
...

lsmod:
...
ata_piix                3124   0  (unused)
libata                 24624   0  [ata_piix]
sd_mod                 11836   0  (unused)
scsi_mod               95064   2  [ata_piix libata sd_mod]

modules* в приложении.

Linux smart1 2.4.26-std-up-alt6 #1 Tue Aug 3 21:45:23 MSD 2004 i686 unknown
unknown GNU/Linux
------- Comment #1 From 2004-11-18 16:11:40 -------
Created an attachment (id=650) [details]
lspci-v
------- Comment #2 From 2004-11-18 16:11:57 -------
Created an attachment (id=651) [details]
lspcidrake-v
------- Comment #3 From 2004-11-18 16:12:25 -------
Created an attachment (id=652) [details]
modules
------- Comment #4 From 2004-11-18 16:12:37 -------
Created an attachment (id=653) [details]
modules.conf
------- Comment #5 From 2007-03-01 14:37:40 -------
fixed and forgotten
------- Comment #6 From 2008-02-15 18:43:17 -------
archiving